#!/bin/sh
# postinst script for ocsinventory-reports
#
# see: dh_installdeb(1)

set -e

dbconfpath="/etc/ocsinventory/dbconfig.inc.php"

if [ "$1" = "configure" ]; then
  # create empty /etc/ocsinventory/dbconfig.inc.php if missing
  if [ ! -e $dbconfpath ]; then
    cat << EOS > $dbconfpath
<?php

?>
EOS
  fi

  # Allow php to update it
  chown www-data:www-data $dbconfpath
fi

#DEBHELPER#

exit 0
